# HECKIMP


*Brought to you by Aldercone Studio*


This program takes the Gnu Image Manipulation Program source code and creates a rebranded fork.

Due to a limitation in how things are implemented, it only works on a checkout of the GnuImp
source code called `gimp` relative to the execution, and creates a directory called the short
version of the rebrand (for example `pika`) at the same place. 

Rebrandings are in the form of a directory of resources with a configuration file in Yaml format. 
For an example see the PIKApp rebrand repository at https://heckin.technology/AlderconeStudio/heckimp-pika

## Installation

`python3 -mpip install git+https://heckin.technology/AlderconeStudio/heckimp.git`

Or clone the repository and run pip or setup.py however you like.

## Running

You will need to make or clone a branding package, such as the pika one listed above.

### TLDR:

Assuming you're in a directory with a checkout of the GnuImp source code as `gimp`:

`heckimp -c heckimp-pika/pika.yaml`

Which will create a `pika` directory with the rebrand.


### More information at:

`heckimp --help` will show a lot more information.


## Help?

For help, or to help us work on this more and make it more better, contact us on Fediverse:

@aldercone@mastodon.art


Check out all our great releases at

https://heckin.technology/


